using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Ewide.Application
{
    [Table("bs_house_code")]
    [Comment("房屋编码表")]
    public class BsHouseCode : Core.DEntityBase
    {
        [Comment("系统中唯一的房屋编码，生成即不再变更")]
        [MaxLength(50)]
        [Required]
        public string HouseCode { get; set; }

        [Comment("编号")]
        [MaxLength(3)]
        [Required]
        public int No { get; set; }

        [Comment("项目ID")]
        [MaxLength(36)]
        [Required]
        public string ProjectId { get; set; }

        [Comment("片区ID")]
        [MaxLength(36)]
        [Required]
        public string ZoneId { get; set; }

        [Comment("详细地址")]
        [MaxLength(500)]
        [Required]
        public string Address { get; set; }

        [Comment("性质")]
        [Required]
        public int Type { get; set; }

        [Comment("所属行业")]
        [Required]
        public int Industry { get; set; }

        [Comment("坐标-经度")]
        [MaxLength(50)]
        public string Lng { get; set; }

        [Comment("坐标-纬度")]
        [MaxLength(50)]
        public string Lat { get; set; }
    }
}
